# Poco::XML

# class ChildNodesList

Library: XML
Package: DOM
Header: Poco/DOM/ChildNodesList.h

## Inheritance

Direct Base Classes: NodeList

All Base Classes: DOMObject, NodeList

## Member Summary

Member Functions: autoRelease, item, length

Inherited Functions: autoRelease, duplicate, item, length, release

## Constructors

### ChildNodesList

ChildNodesList(
const Node * pParent
);

## Destructor

### ~ChildNodesList

~ChildNodesList();

## Member Functions

### autoRelease

void autoRelease();

See also: Poco::XML::DOMObject::autoRelease()

### item

Node * item(
unsigned long index
) const;

See also: Poco::XML::NodeList::item()

### length

unsigned long length() const;

See also: Poco::XML::NodeList::length()